## with-editor 2.5.0

=== Makefile ===
ELS = with-editor.el

DEPS = dash

INFOPAGES = with-editor.info
TEXIPAGES = with-editor.texi

ELCS    = $(ELS:.el=.elc)
DFLAGS  = $(addprefix -L ../,$(DEPS))
EFLAGS ?= $(DFLAGS)
EMACS  ?= emacs
BATCH   = $(EMACS) -batch -Q -L . $(EFLAGS)

MAKEINFO     ?= makeinfo
INSTALL_INFO ?= $(shell command -v ginstall-info || printf install-info)

.PHONY: help clean

help:
	$(info make all    - compile elisp and manual)
	$(info make lisp   - compile elisp)
	$(info make info   - generate info manual)
	$(info make clean  - remove generated files)
	@printf "\n"

all: lisp info

lisp: $(ELCS)
%.elc: %.el
	@printf "Compiling %s\n" $<
	@$(BATCH)\
	  --eval '(setq with-editor-emacsclient-executable nil)'\
	  -f batch-byte-compile $<

info: $(INFOPAGES) dir
%.info: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --no-split $< -o $@

dir: $(TEXIPAGES)
	@printf "Generating dir\n"
	@echo $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@

clean:
	@printf "Cleaning...\n"
	@rm -f $(ELCS)

=== debian/changelog ===
with-editor (2.5.0-1) unstable; urgency=medium

  * As upstream has split this from magit, creating a new package.
  * Closing ITP (Closes: #813286).

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 31 Jan 2016 11:37:51 +0100

=== debian/control ===
Source: with-editor
Section: editors
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Rémi Vanicat <vanicat@debian.org>
Build-Depends: debhelper (>= 9),
	emacs-nox | emacs, dh-elpa (>= 0.0.17), dash-el,
	install-info
Standards-Version: 3.9.6
Homepage: http://magit.vc/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/with-editor.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/with-editor.git

Package: elpa-with-editor
Architecture: all
Depends: ${misc:Depends}, dash-el
Description: Call program using Emacs as $EDITOR
 With this package, you can call program from Emacs such that they
 will use Emacs as an editor.

=== debian/rules ===
#!/usr/bin/make -f
VERSION=2.5.0

CP    ?= install -p -m 644
MKDIR ?= install -p -m 755 -d
RMDIR ?= rm -rf
TAR   ?= tar

%:
	dh $@ --with elpa --parallel

override_dh_auto_build: with-editor-$(VERSION).tar
	@echo with-editor-$(VERSION).tar > debian/elpa-with-editor.elpa

override_dh_auto_install:
	@echo do not run make install

override_dh_clean:
	dh_clean
	rm -f debian/elpa-with-editor.elpa with-editor-*.tar

define with_editor_pkg
(define-package "with-editor" "$(VERSION)"
  "Use the Emacsclient as $$EDITOR"
  ())
endef

export with_editor_pkg
with-editor-$(VERSION).tar:
	@printf "Packing $@\n"
	@$(MKDIR) with-editor-$(VERSION)
	@printf "$$with_editor_pkg\n" > with-editor-$(VERSION)/with-editor-pkg.el
	@$(CP) with-editor.el with-editor-$(VERSION)
	@$(TAR) c --mtime=./with-editor-$(VERSION) \
	  -f with-editor-$(VERSION).tar with-editor-$(VERSION)
	@$(RMDIR) with-editor-$(VERSION)

=== debian/watch ===
version=3
https://github.com/magit/with-editor/releases /magit/with-editor/archive/v(\d.+).tar.gz

## with-editor 2.5.1

=== Makefile ===
ELS = with-editor.el

DEPS = dash

INFOPAGES = with-editor.info

ELCS    = $(ELS:.el=.elc)
DFLAGS  = $(addprefix -L ../,$(DEPS))
EFLAGS ?= $(DFLAGS)
EMACS  ?= emacs
BATCH   = $(EMACS) -batch -Q -L . $(EFLAGS)

MAKEINFO     ?= makeinfo
INSTALL_INFO ?= $(shell command -v ginstall-info || printf install-info)

.PHONY: help clean AUTHORS.md

help:
	$(info make all       - compile elisp and manual)
	$(info make lisp      - compile elisp)
	$(info make info      - generate info manual)
	$(info make authors   - generate AUTHORS.md)
	$(info make clean     - remove generated files)
	@printf "\n"

all: lisp info

lisp: $(ELCS)
%.elc: %.el
	@printf "Compiling %s\n" $<
	@$(BATCH)\
	  --eval '(setq with-editor-emacsclient-executable nil)'\
	  -f batch-byte-compile $<

info: $(INFOPAGES) dir
%.info: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --no-split $< -o $@

dir: $(INFOPAGES)
	@printf "Generating dir\n"
	@echo $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@

authors: AUTHORS.md
AUTHORS.md:
	@ printf "Authors\n=======\n\n" > $@
	@ ( printf "%s\n" "- Barak A. Pearlmutter <barak+git@pearlmutter.net>" && \
	    printf "%s\n" "- Lele Gaifax <lele@metapensiero.it>" && \
	    printf "%s\n" "- Rémi Vanicat <vanicat@debian.org>" && \
	    git log --pretty=format:'- %aN <%aE>' \
	  ) | sort -u >> $@

clean:
	@printf "Cleaning...\n"
	@rm -f $(ELCS)

=== debian/changelog ===
with-editor (2.5.1-1) unstable; urgency=low

  * New upstream version.
  * Upgrade to standard version to 3.9.8 (no change).

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 06 May 2016 17:15:33 +0200

## with-editor 2.5.7

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 DEPS = dash
 
+TEXIPAGES = with-editor.texi
 INFOPAGES = with-editor.info
 
 ELCS    = $(ELS:.el=.elc)
@@ -13,14 +14,23 @@
 MAKEINFO     ?= makeinfo
 INSTALL_INFO ?= $(shell command -v ginstall-info || printf install-info)
 
+WITH_EDITOR_VERSION = 2.5.2
+ASYNC_VERSION       = 1.9
+DASH_VERSION        = 2.13.0
+
 .PHONY: help clean AUTHORS.md
 
 help:
-	$(info make all       - compile elisp and manual)
-	$(info make lisp      - compile elisp)
-	$(info make info      - generate info manual)
-	$(info make authors   - generate AUTHORS.md)
-	$(info make clean     - remove generated files)
+	$(info make all           - compile elisp and manual)
+	$(info make lisp          - compile elisp)
+	$(info make info          - generate info manual)
+	$(info make clean         - remove generated files)
+	$(info )
+	$(info Release Managment)
+	$(info =================)
+	$(info )
+	$(info make authors       - generate AUTHORS.md)
+	$(info make bump-versions - bump versions for release)
 	@printf "\n"
 
 all: lisp info
@@ -31,6 +41,8 @@
 	@$(BATCH)\
 	  --eval '(setq with-editor-emacsclient-executable nil)'\
 	  -f batch-byte-compile $<
+
+texi: $(TEXIPAGES)
 
 info: $(INFOPAGES) dir
 %.info: %.texi
@@ -53,3 +65,38 @@
 clean:
 	@printf "Cleaning...\n"
 	@rm -f $(ELCS)
+
+define set_package_requires
+(require 'dash)
+(with-current-buffer (find-file-noselect "with-editor.el")
+  (goto-char (point-min))
+  (re-search-forward "^;; Package-Requires: ")
+  (let ((s (read (buffer-substring (point) (line-end-position)))))
+    (--when-let (assq 'async       s) (setcdr it (list async-version)))
+    (--when-let (assq 'dash        s) (setcdr it (list dash-version)))
+    (delete-region (point) (line-end-position))
+    (insert (format "%S" s))
+    (save-buffer)))
+endef
+export set_package_requires
+#'
+
+define set_manual_version
+(let ((version (split-string "$(WITH_EDITOR_VERSION)" "\\.")))
+  (setq version (concat (car version) "." (cadr version)))
+  (with-current-buffer (find-file-noselect "with-editor.org")
+    (goto-char (point-min))
+    (re-search-forward "^#\\+SUBTITLE: for version ")
+    (delete-region (point) (line-end-position))
+    (insert version)
+    (save-buffer)))
+endef
+export set_manual_version
+
+bump-versions: bump-versions-1 texi
+bump-versions-1:
+	@$(BATCH) --eval "(progn\
+        (setq async-version \"$(ASYNC_VERSION)\")\
+        (setq dash-version \"$(DASH_VERSION)\")\
+        $$set_package_requires\
+        $$set_manual_version)"

=== debian/changelog ===
with-editor (2.5.7-1) unstable; urgency=medium

  * New upstream version.

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 30 Oct 2016 18:54:08 +0100

with-editor (2.5.6-1) unstable; urgency=medium

  * New upstream version.

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 07 Oct 2016 20:20:19 +0200

with-editor (2.5.5-1) unstable; urgency=medium

  * New upstream version.

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 30 Sep 2016 09:18:53 +0200

with-editor (2.5.3-1) unstable; urgency=medium

  * New upstream version.

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 16 Sep 2016 11:02:29 +0200

## with-editor 2.5.8

=== Makefile ===
-include config.mk

PKG = with-editor

ELS   = $(PKG).el
ELCS  = $(ELS:.el=.elc)

DEPS  = dash

EMACS  ?= emacs
EFLAGS ?=
EFLAGS += --eval '(setq with-editor-emacsclient-executable nil)'
DFLAGS ?= $(addprefix -L ../,$(DEPS))
OFLAGS ?= -L ../dash -L ../org/lisp -L ../ox-texinfo+

INSTALL_INFO     ?= $(shell command -v ginstall-info || printf install-info)
MAKEINFO         ?= makeinfo
MANUAL_HTML_ARGS ?= --css-ref /assets/page.css

VERSION := $(shell test -e .git && \
	git tag | cut -c2- | sort --version-sort | tail -1)

all: lisp info
doc: info html html-dir pdf

help:
	$(info make all          - generate lisp and manual)
	$(info make doc          - generate most manual formats)
	$(info make lisp         - generate byte-code and autoloads)
	$(info make texi         - generate texi manual)
	$(info make info         - generate info manual)
	$(info make html         - generate html manual file)
	$(info make html-dir     - generate html manual directory)
	$(info make pdf          - generate pdf manual)
	$(info make authors      - generate AUTHORS.md)
	$(info make preview      - preview html manual)
	$(info make publish      - publish html manual)
	$(info make clean        - remove most generated files)
	$(info make clean-texi   - remove (tracked) texi manual)
	$(info make clean-all    - remove all generated files)
	@printf "\n"

lisp: $(ELCS) loaddefs

loaddefs: $(PKG)-autoloads.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EFLAGS) -L . $(DFLAGS) -f batch-byte-compile $<

texi: $(PKG).texi
info: $(PKG).info dir
html: $(PKG).html
pdf:  $(PKG).pdf

%.texi: %.org
	@printf "Generating $@\n"
	@$(EMACS) -Q --batch $(OFLAGS) \
	-l ox-texinfo+.el $< -f org-texinfo-export-to-texinfo
	@printf "\n" >> $@
	@sed -i -e '/^@title /a@subtitle for version $(VERSION)' $@
	@rm -f $@~

%.info: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --no-split $< -o $@

dir: $(PKG).info
	@printf "Generating $@\n"
	@printf "%s" $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@

%.html: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --html --no-split $(MANUAL_HTML_ARGS) $<

html-dir: $(PKG).texi
	@printf "Generating $(PKG)/*.html\n"
	@$(MAKEINFO) --html $(MANUAL_HTML_ARGS) $<

%.pdf: %.texi
	@printf "Generating $@\n"
	@texi2pdf --clean $< > /dev/null

DOMAIN         ?= magit.vc
PUBLISH_BUCKET ?= s3://$(DOMAIN)
PREVIEW_BUCKET ?= s3://preview.$(DOMAIN)
PUBLISH_TARGET ?= $(PUBLISH_BUCKET)/manual/
PREVIEW_TARGET ?= $(PREVIEW_BUCKET)/manual/

preview: html html-dir pdf
	@aws s3 cp $(PKG).html $(PREVIEW_TARGET)
	@aws s3 cp $(PKG).pdf $(PREVIEW_TARGET)
	@aws s3 sync $(PKG) $(PREVIEW_TARGET)$(PKG)/

publish: html html-dir pdf
	@aws s3 cp $(PKG).html $(PUBLISH_TARGET)
	@aws s3 cp $(PKG).pdf $(PUBLISH_TARGET)
	@aws s3 sync $(PKG) $(PUBLISH_TARGET)$(PKG)/

CLEAN  = $(ELCS) $(PKG)-autoloads.el $(PKG).info dir
CLEAN += $(PKG) $(PKG).html $(PKG).pdf

clean:
	@printf "Cleaning...\n"
	@rm -rf $(CLEAN)

clean-texi:
	@printf "Cleaning...\n"
	@rm -f $(PKG).texi

clean-all:
	@printf "Cleaning...\n"
	@rm -rf $(CLEAN) $(PKG).texi

authors: AUTHORS.md

AUTHORS.md:
	@ printf "Authors\n=======\n\n" > $@
	@ ( printf "%s\n" "- Barak A. Pearlmutter <barak+git@pearlmutter.net>" && \
	    printf "%s\n" "- Lele Gaifax <lele@metapensiero.it>" && \
	    printf "%s\n" "- Rémi Vanicat <vanicat@debian.org>" && \
	    git log --pretty=format:'- %aN <%aE>' \
	  ) | sort -u >> $@

define LOADDEFS_TMPL
;;; $(PKG)-autoloads.el --- automatically extracted autoloads
;;
;;; Code:
(add-to-list 'load-path (directory-file-name \
(or (file-name-directory #$$) (car load-path))))

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-update-autoloads: t
;; End:
;;; $(PKG)-autoloads.el ends here
endef
export LOADDEFS_TMPL
#'

$(PKG)-autoloads.el: $(ELS)
	@printf "Generating $@\n"
	@printf "%s" "$$LOADDEFS_TMPL" > $@
	@$(EMACS) -Q --batch --eval "(progn\
	(setq make-backup-files nil)\
	(setq vc-handled-backends nil)\
	(setq default-directory (file-truename default-directory))\
	(setq generated-autoload-file (expand-file-name \"$@\"))\
	(setq find-file-visit-truename t)\
	(update-directory-autoloads default-directory)))"

## with-editor 2.5.9

=== Makefile ===
--- 
+++ 
@@ -149,4 +149,4 @@
 	(setq default-directory (file-truename default-directory))\
 	(setq generated-autoload-file (expand-file-name \"$@\"))\
 	(setq find-file-visit-truename t)\
-	(update-directory-autoloads default-directory)))"
+	(update-directory-autoloads default-directory))"

=== debian/changelog ===
with-editor (2.5.9-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 23 Jan 2017 19:38:29 -0700

with-editor (2.5.9-1) unstable; urgency=medium

  * New upstream version.

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 07 Jan 2017 13:34:53 +0100

with-editor (2.5.8-1) unstable; urgency=medium

  * New upstream version.

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 09 Dec 2016 18:54:55 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Rémi Vanicat <vanicat@debian.org>
 Build-Depends: debhelper (>= 9),
 	emacs-nox | emacs, dh-elpa (>= 0.0.17), dash-el,
-	install-info
-Standards-Version: 3.9.6
+	install-info, texinfo
+Standards-Version: 3.9.8
 Homepage: http://magit.vc/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/with-editor.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/with-editor.git

## with-editor 2.5.11

=== debian/changelog ===
with-editor (2.5.11-1) unstable; urgency=medium

  * New upstream version.
  * Update depend for new dh-elpa.
  * Drop 0001-Do-not-depend-on-elpa-dash-package.patch.
  * Upgrades tandard version to 4.0.0 (no change).

 -- Rémi Vanicat <vanicat@debian.org>  Mon, 19 Jun 2017 17:52:25 +0200

=== debian/control ===
Source: with-editor
Section: editors
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Rémi Vanicat <vanicat@debian.org>
Build-Depends: debhelper (>= 9), dh-elpa (>= 1.7), elpa-dash,
	install-info, texinfo
Standards-Version: 4.0.0
Homepage: http://magit.vc/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/with-editor.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/with-editor.git

Package: elpa-with-editor
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Enhances: emacs, emacs24, emacs25
Description: Call program using Emacs as $EDITOR
 With this package, you can call program from Emacs such that they
 will use Emacs as an editor.

## with-editor 2.6.0

=== Makefile ===
--- 
+++ 
@@ -32,6 +32,7 @@
 	$(info make html         - generate html manual file)
 	$(info make html-dir     - generate html manual directory)
 	$(info make pdf          - generate pdf manual)
+	$(info make bump-version - bump version strings)
 	$(info make authors      - generate AUTHORS.md)
 	$(info make preview      - preview html manual)
 	$(info make publish      - publish html manual)
@@ -48,6 +49,9 @@
 	@printf "Compiling $<\n"
 	@$(EMACS) -Q --batch $(EFLAGS) -L . $(DFLAGS) -f batch-byte-compile $<
 
+bump-version:
+	@sed -i -e "s/\(#+SUBTITLE: for version \)[.0-9]*/\1$(VERSION)/" $(PKG).org
+
 texi: $(PKG).texi
 info: $(PKG).info dir
 html: $(PKG).html
@@ -58,7 +62,6 @@
 	@$(EMACS) -Q --batch $(OFLAGS) \
 	-l ox-texinfo+.el $< -f org-texinfo-export-to-texinfo
 	@printf "\n" >> $@
-	@sed -i -e '/^@title /a@subtitle for version $(VERSION)' $@
 	@rm -f $@~
 
 %.info: %.texi

=== debian/changelog ===
with-editor (2.6.0-1) unstable; urgency=medium

  * New upstream version
  * Drop 0002-Do-not-depend-on-async.patch
  * Drop build dependency on dash

 -- Rémi Vanicat <vanicat@debian.org>  Wed, 13 Sep 2017 08:47:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Rémi Vanicat <vanicat@debian.org>
-Build-Depends: debhelper (>= 9), dh-elpa (>= 1.7), elpa-dash,
+Build-Depends: debhelper (>= 9), dh-elpa (>= 1.7),
 	install-info, texinfo
 Standards-Version: 4.0.0
 Homepage: http://magit.vc/

## with-editor 2.7.1

=== Makefile ===
--- 
+++ 
@@ -7,18 +7,23 @@
 
 DEPS  = dash
 
-EMACS  ?= emacs
-EFLAGS ?=
-EFLAGS += --eval '(setq with-editor-emacsclient-executable nil)'
-DFLAGS ?= $(addprefix -L ../,$(DEPS))
-OFLAGS ?= -L ../dash -L ../org/lisp -L ../ox-texinfo+
+EMACS      ?= emacs
+EMACS_ARGS ?=
+EMACS_ARGS += --eval '(setq with-editor-emacsclient-executable nil)'
+
+LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
+LOAD_PATH  += -L .
+
+ifndef ORG_LOAD_PATH
+ORG_LOAD_PATH  = -L ../dash
+ORG_LOAD_PATH += -L ../org/lisp
+ORG_LOAD_PATH += -L ../org/contrib/lisp
+ORG_LOAD_PATH += -L ../ox-texinfo+
+endif
 
 INSTALL_INFO     ?= $(shell command -v ginstall-info || printf install-info)
 MAKEINFO         ?= makeinfo
 MANUAL_HTML_ARGS ?= --css-ref /assets/page.css
-
-VERSION := $(shell test -e .git && \
-	git tag | cut -c2- | sort --version-sort | tail -1)
 
 all: lisp info
 doc: info html html-dir pdf
@@ -27,18 +32,15 @@
 	$(info make all          - generate lisp and manual)
 	$(info make doc          - generate most manual formats)
 	$(info make lisp         - generate byte-code and autoloads)
-	$(info make texi         - generate texi manual)
+	$(info make texi         - generate texi manual (see comments))
 	$(info make info         - generate info manual)
 	$(info make html         - generate html manual file)
 	$(info make html-dir     - generate html manual directory)
 	$(info make pdf          - generate pdf manual)
-	$(info make bump-version - bump version strings)
 	$(info make authors      - generate AUTHORS.md)
 	$(info make preview      - preview html manual)
 	$(info make publish      - publish html manual)
 	$(info make clean        - remove most generated files)
-	$(info make clean-texi   - remove (tracked) texi manual)
-	$(info make clean-all    - remove all generated files)
 	@printf "\n"
 
 lisp: $(ELCS) loaddefs
@@ -47,22 +49,30 @@
 
 %.elc: %.el
 	@printf "Compiling $<\n"
-	@$(EMACS) -Q --batch $(EFLAGS) -L . $(DFLAGS) -f batch-byte-compile $<
+	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<
 
-bump-version:
-	@sed -i -e "s/\(#+SUBTITLE: for version \)[.0-9]*/\1$(VERSION)/" $(PKG).org
-
-texi: $(PKG).texi
 info: $(PKG).info dir
 html: $(PKG).html
 pdf:  $(PKG).pdf
 
-%.texi: %.org
-	@printf "Generating $@\n"
-	@$(EMACS) -Q --batch $(OFLAGS) \
-	-l ox-texinfo+.el $< -f org-texinfo-export-to-texinfo
-	@printf "\n" >> $@
-	@rm -f $@~
+ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH) -l ox-extra -l ox-texinfo+.el
+ORG_EVAL  = --eval "(ox-extras-activate '(ignore-headlines))"
+ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
+ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
+ORG_EVAL += --funcall org-texinfo-export-to-texinfo
+
+# This target first bumps version strings in the Org source.  The
+# necessary tools might be missing so other targets do not depend
+# on this target and it has to be run explicitly when appropriate.
+#
+#   AMEND=t make texi    Update manual to be amended to HEAD.
+#   VERSION=N make texi  Update manual for release.
+#
+.PHONY: texi
+texi:
+	@$(EMACS) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
+	@printf "\n" >> $(PKG).texi
+	@rm -f $(PKG).texi~
 
 %.info: %.texi
 	@printf "Generating $@\n"
@@ -72,23 +82,38 @@
 	@printf "Generating $@\n"
 	@printf "%s" $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@
 
+HTML_FIXUP_CSS    = '/<link rel="stylesheet" type="text\/css" href="\/assets\/page.css">/a\
+<link class="s-css-s--style" rel="stylesheet"           title="Default"               href="/assets/themes/default.css">\
+\n<link class="s-css-s--style" rel="stylesheet alternate" title="Default high contrast" href="/assets/themes/default-high-contrast.css">\
+\n<link class="s-css-s--style" rel="stylesheet alternate" title="Solarized dark xterm"  href="/assets/themes/solarized-dark-xterm.css">\
+\n<link class="s-css-s--style" rel="stylesheet alternate" title="Black on white"        href="/assets/themes/black-on-white.css">\
+\n<script src="/assets/js/simple-css-switch.js"></script>'
+HTML_FIXUP_ONLOAD = 's/<body lang="en">/<body lang="en" onload="simpleCssSwitch()">/'
+HTML_FIXUP_MENU   = '/<\/body>/i<div id="s-css-s--menu"><\/div>'
+
 %.html: %.texi
 	@printf "Generating $@\n"
 	@$(MAKEINFO) --html --no-split $(MANUAL_HTML_ARGS) $<
+	@sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $@
 
 html-dir: $(PKG).texi
 	@printf "Generating $(PKG)/*.html\n"
 	@$(MAKEINFO) --html $(MANUAL_HTML_ARGS) $<
+	@for f in $$(find $(PKG) -name '*.html') ; do \
+	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
+	done
 
 %.pdf: %.texi
 	@printf "Generating $@\n"
 	@texi2pdf --clean $< > /dev/null
 
 DOMAIN         ?= magit.vc
+CFRONT_DIST    ?= E2LUHBKU1FBV02
+PUBLISH_PATH   ?= /manual/
 PUBLISH_BUCKET ?= s3://$(DOMAIN)
 PREVIEW_BUCKET ?= s3://preview.$(DOMAIN)
-PUBLISH_TARGET ?= $(PUBLISH_BUCKET)/manual/
-PREVIEW_TARGET ?= $(PREVIEW_BUCKET)/manual/
+PUBLISH_TARGET ?= $(PUBLISH_BUCKET)$(PUBLISH_PATH)
+PREVIEW_TARGET ?= $(PREVIEW_BUCKET)$(PUBLISH_PATH)
 
 preview: html html-dir pdf
 	@aws s3 cp $(PKG).html $(PREVIEW_TARGET)
@@ -99,6 +124,12 @@
 	@aws s3 cp $(PKG).html $(PUBLISH_TARGET)
 	@aws s3 cp $(PKG).pdf $(PUBLISH_TARGET)
 	@aws s3 sync $(PKG) $(PUBLISH_TARGET)$(PKG)/
+	@printf "Generating CDN invalidation\n"
+	@aws cloudfront create-invalidation \
+	--distribution-id $(CFRONT_DIST) --paths "\
+/manual/$(PKG).html,\
+/manual/$(PKG).pdf,\
+/manual/$(PKG)/*" > /dev/null
 
 CLEAN  = $(ELCS) $(PKG)-autoloads.el $(PKG).info dir
 CLEAN += $(PKG) $(PKG).html $(PKG).pdf
@@ -106,14 +137,6 @@
 clean:
 	@printf "Cleaning...\n"
 	@rm -rf $(CLEAN)
-
-clean-texi:
-	@printf "Cleaning...\n"
-	@rm -f $(PKG).texi
-
-clean-all:
-	@printf "Cleaning...\n"
-	@rm -rf $(CLEAN) $(PKG).texi
 
 authors: AUTHORS.md

=== debian/changelog ===
with-editor (2.7.1-1) unstable; urgency=medium

  * New upstream version
  * Update standards version to 4.1.3 (no changes)
  * Add autoload

 -- Rémi Vanicat <vanicat@debian.org>  Tue, 13 Feb 2018 21:48:38 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Rémi Vanicat <vanicat@debian.org>
 Build-Depends: debhelper (>= 9), dh-elpa (>= 1.7),
 	install-info, texinfo
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://magit.vc/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/with-editor.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/with-editor.git

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-VERSION=2.5.0
+VERSION=2.6.0
 
 CP    ?= install -p -m 644
 MKDIR ?= install -p -m 755 -d
@@ -11,13 +11,14 @@
 
 override_dh_auto_build: with-editor-$(VERSION).tar
 	@echo with-editor-$(VERSION).tar > debian/elpa-with-editor.elpa
+	@make info
 
 override_dh_auto_install:
 	@echo do not run make install
 
 override_dh_clean:
 	dh_clean
-	rm -f debian/elpa-with-editor.elpa with-editor-*.tar
+	rm -f debian/elpa-with-editor.elpa with-editor-*.tar with-editor.info dir
 
 define with_editor_pkg
 (define-package "with-editor" "$(VERSION)"

## with-editor 2.7.3

=== debian/changelog ===
with-editor (2.7.3-1) unstable; urgency=medium

  * New upstream version
  * Change debhelper compat level
  * Use secure URLs
  * Lowercase Description
  * Update standards version to 4.1.4 (no changes)
  * Drop emacs24 from Enhances
  * Switch Vcs from alioth to salsa

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 09 Jun 2018 18:43:43 +0200

=== debian/control ===
Source: with-editor
Section: editors
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Rémi Vanicat <vanicat@debian.org>
Build-Depends: debhelper (>= 9), dh-elpa (>= 1.7),
	install-info, texinfo
Standards-Version: 4.1.4
Homepage: https://magit.vc/
Vcs-Browser: https://salsa.debian.org/emacsen-team/with-editor
Vcs-Git: https://salsa.debian.org/emacsen-team/with-editor.git

Package: elpa-with-editor
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Enhances: emacs, emacs25
Description: call program using Emacs as $EDITOR
 With this package, you can call program from Emacs such that they
 will use Emacs as an editor.

## with-editor 2.7.4

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 ELCS  = $(ELS:.el=.elc)
 
 DEPS  = dash
+
+VERSION ?= $(shell test -e $(TOP).git && git describe --tags --abbrev=0 | cut -c2-)
 
 EMACS      ?= emacs
 EMACS_ARGS ?=
@@ -38,10 +40,10 @@
 	$(info make html-dir     - generate html manual directory)
 	$(info make pdf          - generate pdf manual)
 	$(info make authors      - generate AUTHORS.md)
-	$(info make preview      - preview html manual)
-	$(info make publish      - publish html manual)
+	$(info make publish      - publish snapshot manuals)
+	$(info make release      - publish release manuals)
 	$(info make clean        - remove most generated files)
-	@printf "\n"
+	@printf "$(VERSION)\n"
 
 lisp: $(ELCS) loaddefs
 
@@ -108,28 +110,35 @@
 	@texi2pdf --clean $< > /dev/null
 
 DOMAIN         ?= magit.vc
+PUBLISH_PATH   ?= /manual/
+RELEASE_PATH   ?= /manual/$(VERSION)/
+
+S3_BUCKET      ?= s3://$(DOMAIN)
+PUBLISH_TARGET  = $(S3_BUCKET)$(PUBLISH_PATH)
+RELEASE_TARGET  = $(S3_BUCKET)$(RELEASE_PATH)
+
 CFRONT_DIST    ?= E2LUHBKU1FBV02
-PUBLISH_PATH   ?= /manual/
-PUBLISH_BUCKET ?= s3://$(DOMAIN)
-PREVIEW_BUCKET ?= s3://preview.$(DOMAIN)
-PUBLISH_TARGET ?= $(PUBLISH_BUCKET)$(PUBLISH_PATH)
-PREVIEW_TARGET ?= $(PREVIEW_BUCKET)$(PUBLISH_PATH)
+CFRONT_PATHS    = $(PKG).html $(PKG).pdf $(PKG)/*
 
-preview: html html-dir pdf
-	@aws s3 cp $(PKG).html $(PREVIEW_TARGET)
-	@aws s3 cp $(PKG).pdf $(PREVIEW_TARGET)
-	@aws s3 sync $(PKG) $(PREVIEW_TARGET)$(PKG)/
+comma := ,
+empty :=
+space := $(empty) $(empty)
 
 publish: html html-dir pdf
 	@aws s3 cp $(PKG).html $(PUBLISH_TARGET)
-	@aws s3 cp $(PKG).pdf $(PUBLISH_TARGET)
-	@aws s3 sync $(PKG) $(PUBLISH_TARGET)$(PKG)/
+	@aws s3 cp $(PKG).pdf  $(PUBLISH_TARGET)
+	@aws s3 sync --delete $(PKG) $(PUBLISH_TARGET)$(PKG)/
 	@printf "Generating CDN invalidation\n"
-	@aws cloudfront create-invalidation \
-	--distribution-id $(CFRONT_DIST) --paths "\
-/manual/$(PKG).html,\
-/manual/$(PKG).pdf,\
-/manual/$(PKG)/*" > /dev/null
+	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
+	"$(subst $(space),$(comma),$(addprefix $(PUBLISH_PATH),$(CFRONT_PATHS)))" > /dev/null
+
+release: html html-dir pdf
+	@aws s3 cp $(PKG).html $(RELEASE_TARGET)
+	@aws s3 cp $(PKG).pdf  $(RELEASE_TARGET)
+	@aws s3 sync --delete $(PKG) $(RELEASE_TARGET)$(PKG)/
+	@printf "Generating CDN invalidation\n"
+	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
+	"$(subst $(space),$(comma),$(addprefix $(RELEASE_PATH),$(CFRONT_PATHS)))" > /dev/null
 
 CLEAN  = $(ELCS) $(PKG)-autoloads.el $(PKG).info dir
 CLEAN += $(PKG) $(PKG).html $(PKG).pdf

=== debian/changelog ===
with-editor (2.7.4-1) unstable; urgency=medium

  * New upstream version
  * Update version in debhelper depends
  * Remove unnecessary dh argument --parallel

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 29 Jul 2018 11:47:15 +0200

## with-editor 2.8.0

=== debian/changelog ===
with-editor (2.8.0-1) unstable; urgency=medium

  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 11 Nov 2018 14:05:02 +0100

## with-editor 2.8.1

=== debian/changelog ===
with-editor (2.8.1-1) unstable; urgency=medium

  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Wed, 02 Jan 2019 15:12:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Rémi Vanicat <vanicat@debian.org>
-Build-Depends: debhelper (>= 9), dh-elpa (>= 1.7),
+Build-Depends: debhelper (>= 11), dh-elpa (>= 1.7),
 	install-info, texinfo
 Standards-Version: 4.1.4
 Homepage: https://magit.vc/

## with-editor 2.8.3

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,6 @@
 	$(info make publish      - publish snapshot manuals)
 	$(info make release      - publish release manuals)
 	$(info make clean        - remove most generated files)
-	@printf "$(VERSION)\n"
 
 lisp: $(ELCS) loaddefs

=== debian/changelog ===
with-editor (2.8.3-1) unstable; urgency=medium

  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Mon, 29 Jul 2019 11:17:46 +0200

## with-editor 2.9.1

=== Makefile ===
--- 
+++ 
@@ -135,6 +135,8 @@
 	@aws s3 cp $(PKG).html $(RELEASE_TARGET)
 	@aws s3 cp $(PKG).pdf  $(RELEASE_TARGET)
 	@aws s3 sync --delete $(PKG) $(RELEASE_TARGET)$(PKG)/
+	@aws s3 cp $(PUBLISH_TARGET)dir.html $(RELEASE_TARGET)dir.html
+	@aws s3 cp $(PUBLISH_TARGET)dir/index.html $(RELEASE_TARGET)dir/index.html
 	@printf "Generating CDN invalidation\n"
 	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
 	"$(subst $(space),$(comma),$(addprefix $(RELEASE_PATH),$(CFRONT_PATHS)))" > /dev/null

=== debian/changelog ===
with-editor (2.9.1-1) unstable; urgency=medium

  [ David Krauser ]
  * Update maintainer email address

  [ Rémi Vanicat ]

  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Mon, 13 Jan 2020 17:27:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: with-editor
 Section: editors
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
 Uploaders: Rémi Vanicat <vanicat@debian.org>
 Build-Depends: debhelper (>= 11), dh-elpa (>= 1.7),
 	install-info, texinfo

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 TAR   ?= tar
 
 %:
-	dh $@ --with elpa --parallel
+	dh $@ --with elpa
 
 override_dh_auto_build: with-editor-$(VERSION).tar
 	@echo with-editor-$(VERSION).tar > debian/elpa-with-editor.elpa

## with-editor 3.0.2

=== Makefile ===
--- 
+++ 
@@ -17,8 +17,7 @@
 LOAD_PATH  += -L .
 
 ifndef ORG_LOAD_PATH
-ORG_LOAD_PATH  = -L ../dash
-ORG_LOAD_PATH += -L ../org/lisp
+ORG_LOAD_PATH  = -L ../org/lisp
 ORG_LOAD_PATH += -L ../org/contrib/lisp
 ORG_LOAD_PATH += -L ../ox-texinfo+
 endif
@@ -84,7 +83,8 @@
 	@printf "%s" $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@
 
 HTML_FIXUP_CSS    = '/<link rel="stylesheet" type="text\/css" href="\/assets\/page.css">/a\
-<link class="s-css-s--style" rel="stylesheet"           title="Default"               href="/assets/themes/default.css">\
+<link rel="icon" href="/assets/magit_alt1.ico">\
+\n<link class="s-css-s--style" rel="stylesheet"           title="Default"               href="/assets/themes/default.css">\
 \n<link class="s-css-s--style" rel="stylesheet alternate" title="Default high contrast" href="/assets/themes/default-high-contrast.css">\
 \n<link class="s-css-s--style" rel="stylesheet alternate" title="Solarized dark xterm"  href="/assets/themes/solarized-dark-xterm.css">\
 \n<link class="s-css-s--style" rel="stylesheet alternate" title="Black on white"        href="/assets/themes/black-on-white.css">\

=== debian/changelog ===
with-editor (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 07 Nov 2020 12:26:22 -0700

with-editor (2.9.1-2) unstable; urgency=medium

  [ Nicholas D Steeves]
  * Team upload.
  * Drop emacs25 from Enhances; it has been a dummy package since buster.
  * Switch to debhelper-compat 13.
  * control: Add Rules-Requires-Root: no.

  [ Sven Joachim ]
  * d/rules: Compute VERSION from d/changelog rather than hardcoding it,
    which means it gets outdated quickly (Closes: #924512)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 31 May 2020 22:56:08 -0400

=== debian/control ===
Source: with-editor
Section: editors
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders: Rémi Vanicat <vanicat@debian.org>
Build-Depends: debhelper-compat (= 13), dh-elpa (>= 1.7),
	install-info, texinfo
Rules-Requires-Root: no
Standards-Version: 4.1.4
Homepage: https://magit.vc/
Vcs-Browser: https://salsa.debian.org/emacsen-team/with-editor
Vcs-Git: https://salsa.debian.org/emacsen-team/with-editor.git

Package: elpa-with-editor
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Enhances: emacs
Description: call program using Emacs as $EDITOR
 With this package, you can call program from Emacs such that they
 will use Emacs as an editor.

## with-editor 3.0.4

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 ifndef ORG_LOAD_PATH
 ORG_LOAD_PATH  = -L ../org/lisp
-ORG_LOAD_PATH += -L ../org/contrib/lisp
+ORG_LOAD_PATH += -L ../org-contrib/lisp
 ORG_LOAD_PATH += -L ../ox-texinfo+
 endif
 
@@ -148,6 +148,7 @@
 	@printf "Cleaning...\n"
 	@rm -rf $(CLEAN)
 
+.PHONY: authors AUTHORS.md
 authors: AUTHORS.md
 
 AUTHORS.md:

=== debian/changelog ===
with-editor (3.0.4-1) unstable; urgency=medium

  * Team upload

  [ Rémi Vanicat ]
  * New upstream release.
  * Update the watch file

  [ Matteo F. Vescovi ]
  * debian/watch: version bump 3 -> 4
  * debian/control: S-V bump 4.1.4 -> 4.6.0 (no changes needed)

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 20 Aug 2021 09:09:04 +0200

## with-editor 3.0.5

=== Makefile ===
--- 
+++ 
@@ -55,8 +55,8 @@
 html: $(PKG).html
 pdf:  $(PKG).pdf
 
-ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH) -l ox-extra -l ox-texinfo+.el
-ORG_EVAL  = --eval "(ox-extras-activate '(ignore-headlines))"
+ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH) -l ox-texinfo+.el
+ORG_EVAL  = --eval "(setq org-texinfo+-dissolve-noexport-headlines t)"
 ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
 ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
 ORG_EVAL += --funcall org-texinfo-export-to-texinfo

=== debian/changelog ===
with-editor (3.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 17 Oct 2021 18:24:28 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13), dh-elpa (>= 1.7),
 	install-info, texinfo
 Rules-Requires-Root: no
-Standards-Version: 4.1.4
+Standards-Version: 4.6.0
 Homepage: https://magit.vc/
 Vcs-Browser: https://salsa.debian.org/emacsen-team/with-editor
 Vcs-Git: https://salsa.debian.org/emacsen-team/with-editor.git

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
-VERSION=2.6.0
+
+include /usr/share/dpkg/pkg-info.mk
+VERSION=$(DEB_VERSION_UPSTREAM)
 
 CP    ?= install -p -m 644
 MKDIR ?= install -p -m 755 -d

=== debian/watch ===
version=4
https://github.com/magit/with-editor/releases /magit/with-editor/archive/refs/tags/v(\d.+).tar.gz

## with-editor 3.3.0

=== debian/changelog ===
with-editor (3.3.0-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Non-maintainer upload.
  * New upstream release.  Closes: #1041330
  * Repair debian/watch.
  * Update debian/docs.
  * Update file paths in newer releases.
  * Add elpa-compat as dependency as required since 3.3.0.
  * Add elpa-vterm to "Suggests" as it provide useful hook for vterm.
  * Update Standards-Version to 4.6.2.  No change needed.

  [ Debian Janitor ]

  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dh-elpa.

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 23 Jul 2023 13:48:26 +0200

=== debian/control ===
Source: with-editor
Section: editors
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders: Rémi Vanicat <vanicat@debian.org>
Build-Depends: debhelper-compat (= 13), dh-elpa,
	install-info, texinfo
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://magit.vc/
Vcs-Browser: https://salsa.debian.org/emacsen-team/with-editor
Vcs-Git: https://salsa.debian.org/emacsen-team/with-editor.git

Package: elpa-with-editor
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}, elpa-compat
Enhances: emacs
Suggests: elpa-vterm
Description: call program using Emacs as $EDITOR
 With this package, you can call program from Emacs such that they
 will use Emacs as an editor.

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 override_dh_clean:
 	dh_clean
-	rm -f debian/elpa-with-editor.elpa with-editor-*.tar with-editor.info dir
+	rm -f debian/elpa-with-editor.elpa with-editor-*.tar docs/with-editor.info dir
 
 define with_editor_pkg
 (define-package "with-editor" "$(VERSION)"
@@ -33,7 +33,7 @@
 	@printf "Packing $@\n"
 	@$(MKDIR) with-editor-$(VERSION)
 	@printf "$$with_editor_pkg\n" > with-editor-$(VERSION)/with-editor-pkg.el
-	@$(CP) with-editor.el with-editor-$(VERSION)
+	@$(CP) lisp/with-editor.el with-editor-$(VERSION)
 	@$(TAR) c --mtime=./with-editor-$(VERSION) \
 	  -f with-editor-$(VERSION).tar with-editor-$(VERSION)
 	@$(RMDIR) with-editor-$(VERSION)

=== debian/watch ===
version=4
  https://github.com/magit/with-editor/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## with-editor 3.3.2

=== debian/changelog ===
with-editor (3.3.2-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 11:35:39 +0900

with-editor (3.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/rules: simplify (let dh-elpa generate *-pkg.el, use d/elpa).
  * d/control: remove explicit elpa-compat dependency (let dh-elpa add
    it).
  * Improve documentation packaging (more formats, add d/doc-base).
  * d/changelog: update copyright years.
  * Rename d/elpa-with-editor.info to d/info.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Tue, 26 Dec 2023 17:15:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,11 @@
 Priority: optional
 Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
 Uploaders: Rémi Vanicat <vanicat@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-elpa,
-	install-info, texinfo
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-elpa,
+ texinfo,
+ texlive-base,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://magit.vc/
@@ -13,7 +16,7 @@
 
 Package: elpa-with-editor
 Architecture: all
-Depends: ${misc:Depends}, ${elpa:Depends}, elpa-compat
+Depends: ${misc:Depends}, ${elpa:Depends}
 Enhances: emacs
 Suggests: elpa-vterm
 Description: call program using Emacs as $EDITOR

## with-editor 3.4.2

=== debian/changelog ===
with-editor (3.4.2-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * New upstream release.
  * Update Standards-Version to 4.7.0; no change needed
  * Add myself to uploaders
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse
  * Set upstream metadata fields: Repository
  * Add Upstream-Contact in d/copyright

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 03 Oct 2024 08:41:56 +0800

## with-editor 3.4.3

=== debian/changelog ===
with-editor (3.4.3-1) unstable; urgency=medium

  * New upstream release
  * Add Upstream-Name in d/copyright
  * Add d/gbp.conf matching current practice

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 02 Dec 2024 12:45:27 -0800

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: editors
 Priority: optional
 Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
-Uploaders: Rémi Vanicat <vanicat@debian.org>
+Uploaders: Rémi Vanicat <vanicat@debian.org>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-elpa,
  texinfo,
  texlive-base,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://magit.vc/
 Vcs-Browser: https://salsa.debian.org/emacsen-team/with-editor
 Vcs-Git: https://salsa.debian.org/emacsen-team/with-editor.git

## with-editor 3.4.5

=== debian/changelog ===
with-editor (3.4.5-1) unstable; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 11 Aug 2025 22:55:13 -0700

with-editor (3.4.4-1~exp1) experimental; urgency=medium

  * New upstream release
  * Add d/s/options to ignore files that get regenerated during building
  * Update Homepage in d/control
  * Update Standards-Version to 4.7.2; no change needed

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 10 Jul 2025 11:42:32 -0700

## with-editor 3.4.6

=== docs/Makefile ===
-include ../config.mk
include ../default.mk

docs: texi info html html-dir pdf

texi:     $(PKG).texi
info:     $(PKG).info dir
html:     $(PKG).html
html-dir: $(PKG)/index.html
pdf:      $(PKG).pdf

ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH)
ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
ORG_EVAL += --eval "\
(defun org-texinfo--sanitize-content (text)\
  (replace-regexp-in-string \"[@@{}]\" \"@@\\&\" text))"
ORG_EVAL += --funcall org-texinfo-export-to-texinfo

redo-docs:
	@touch $(PKG).org
	@make docs

.revdesc: ;
_    := $(shell test "$(REVDESC)" = "$$(cat .revdesc 2> /dev/null)" ||\
        echo "$(REVDESC)" > .revdesc)

%.texi: %.org .orgconfig .revdesc
	@printf "Generating $@\n"
	@$(EMACS) $(ORG_ARGS) $< $(ORG_EVAL)

%.info: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --no-split $< -o $@

dir: $(PKG).info
	@printf "Generating $@\n"
	@printf "%s" $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@

HTML_FIXUP_CSS    = '/<link rel="stylesheet" type="text\/css" href="\/assets\/page.css">/a\
<link rel="icon" href="/assets/magit_alt1.ico">\
\n<link class="s-css-s--style" rel="stylesheet"           title="Default"               href="/assets/themes/default.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Default high contrast" href="/assets/themes/default-high-contrast.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Solarized dark xterm"  href="/assets/themes/solarized-dark-xterm.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Black on white"        href="/assets/themes/black-on-white.css">\
\n<script src="/assets/js/simple-css-switch.js"></script>'
HTML_FIXUP_ONLOAD = 's/<body lang="en">/<body lang="en" onload="simpleCssSwitch()">/'
HTML_FIXUP_MENU   = '/<\/body>/i<div id="s-css-s--menu"><\/div>'

%.html: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --html --no-split $(MANUAL_HTML_ARGS) $<
	@sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $@

%/index.html: %.texi
	@printf "Generating $(PKG)/*.html\n"
	@rm -rf $(PKG)
	@$(MAKEINFO) --html -o $(PKG)/ $(MANUAL_HTML_ARGS) $<
	@for f in $$(find $(PKG) -name '*.html') ; do \
	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
	done

%.pdf: %.texi
	@printf "Generating $@\n"
	@texi2pdf --clean $< > /dev/null

PUBLISH_PATH   ?= /manual/
RELEASE_PATH   ?= /manual/$(VERSION)/
S3_BUCKET      ?= s3://$(DOMAIN)
PUBLISH_TARGET  = $(S3_BUCKET)$(PUBLISH_PATH)
RELEASE_TARGET  = $(S3_BUCKET)$(RELEASE_PATH)
CFRONT_PATHS    = $(PKG).html $(PKG).pdf $(PKG)/*

comma := ,
empty :=
space := $(empty) $(empty)

publish: redo-docs
	@aws s3 cp $(PKG).html $(PUBLISH_TARGET)
	@aws s3 cp $(PKG).pdf  $(PUBLISH_TARGET)
	@aws s3 sync $(PKG)    $(PUBLISH_TARGET)$(PKG)/
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
	"$(subst $(space),$(comma),$(addprefix $(PUBLISH_PATH),$(CFRONT_PATHS)))" > /dev/null

release: redo-docs
	@aws s3 cp $(PKG).html $(RELEASE_TARGET)
	@aws s3 cp $(PKG).pdf  $(RELEASE_TARGET)
	@aws s3 sync $(PKG)    $(RELEASE_TARGET)$(PKG)/
	@aws s3 cp $(PUBLISH_TARGET)dir.html $(RELEASE_TARGET)dir.html
	@aws s3 cp $(PUBLISH_TARGET)dir/index.html $(RELEASE_TARGET)dir/index.html
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
	"$(subst $(space),$(comma),$(addprefix $(RELEASE_PATH),$(CFRONT_PATHS)))" > /dev/null

.PHONY: stats
stats:
	@printf "Generating statistics\n"
	@$(GITSTATS) $(GITSTATS_ARGS) $(TOP) $(GITSTATS_DIR)

stats-upload:
	@printf "Uploading statistics...\n"
	@aws s3 sync $(GITSTATS_DIR) $(S3_BUCKET)/stats/$(PKG)
	@printf "Uploaded to $(S3_BUCKET)/stats/$(PKG)\n"
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation \
	--distribution-id $(CFRONT_DIST) --paths "/stats/*" > /dev/null

CLEAN = $(PKG).info dir $(PKG) $(PKG).html $(PKG).pdf

clean:
	@printf " Cleaning docs/*...\n"
	@rm -rf $(CLEAN)

=== lisp/Makefile ===
-include ../config.mk
include ../default.mk

lisp: $(ELCS) loaddefs check-declare

loaddefs: $(PKG)-autoloads.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

check-declare:
	@printf " Checking function declarations\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
	--eval "(check-declare-directory default-directory)"

CLEAN = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf " Cleaning lisp/*...\n"
	@rm -rf $(CLEAN)

$(PKG)-autoloads.el: $(ELS)
	@printf " Creating $@\n"
	@$(EMACS) -Q --batch -l autoload -l cl-lib --eval "\
(let ((file (expand-file-name \"$@\"))\
      (autoload-timestamps nil) \
      (backup-inhibited t)\
      (version-control 'never)\
      (coding-system-for-write 'utf-8-emacs-unix))\
  (write-region (autoload-rubric file \"package\" nil) nil file nil 'silent)\
  (cl-letf (((symbol-function 'progress-reporter-do-update) (lambda (&rest _)))\
            ((symbol-function 'progress-reporter-done) (lambda (_))))\
    (let ((generated-autoload-file file))\
      (update-directory-autoloads default-directory))))" \
	2>&1 | sed "/^Package autoload is deprecated$$/d"

=== debian/changelog ===
with-editor (3.4.6-1) unstable; urgency=medium

  * New upstream release
  * Migrate d/watch to rfc822-style version 5 format

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 05 Sep 2025 21:24:09 -0700

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  texinfo,
  texlive-base,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
-Homepage: https://magit.vc/
+Standards-Version: 4.7.2
+Homepage: https://github.com/magit/with-editor
 Vcs-Browser: https://salsa.debian.org/emacsen-team/with-editor
 Vcs-Git: https://salsa.debian.org/emacsen-team/with-editor.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	make info html pdf
	@echo do not run make

override_dh_auto_install:
	@echo do not run make install

=== debian/watch ===
Version: 5

Template: Github
Owner: magit
Project: with-editor

## with-editor 3.4.7

=== lisp/Makefile ===
-include ../config.mk
include ../default.mk

lisp: $(ELCS) autoloads check-declare

autoloads: $(PKG)-autoloads.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

check-declare:
	@printf " Checking function declarations\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
	--eval "(check-declare-directory default-directory)"

CLEAN = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf " Cleaning lisp/*...\n"
	@rm -rf $(CLEAN)

$(PKG)-autoloads.el: $(ELS)
	@printf " Creating $@\n"
	@$(EMACS) -Q --batch -l autoload --eval "\
(let* ((file (expand-file-name \"$@\"))\
       (generated-autoload-file file)\
       (coding-system-for-write 'utf-8-emacs-unix)\
       (backup-inhibited t)\
       (version-control 'never)\
       (inhibit-message t))\
  (write-region (autoload-rubric file \"package\" t) nil file)\
  (update-directory-autoloads default-directory))" \
	2>&1 | sed "/^Package autoload is deprecated$$/d"

=== debian/changelog ===
with-editor (3.4.7-1) unstable; urgency=medium

  * New upstream release
  * Drop `Rules-Requires-Root: no'
    - This has been the default since dpkg 1.22.13.

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 12 Nov 2025 17:27:37 -0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  dh-elpa,
  texinfo,
  texlive-base,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/magit/with-editor
 Vcs-Browser: https://salsa.debian.org/emacsen-team/with-editor
